LH_CLEAN(1)

NAME
lh_clean - clean up system build directories

SYNOPSIS
lh_clean [live-helper options] [--all] [--cache] [--chroot] [--binary] [--purge] [--remove] [--stage] [--source]

lh_clean [live-helper options]

DESCRIPTION
lh_clean is a high-level command (porcelain) of live-helper, the Debian Live tool suite. It is responsible for cleaning up after a system is built. It removes the system build directories, and removes some other files including stage files, and any detritus left behind by other live-helper commands.

OPTIONS
In addition to its specific options, lh_clean also understands all generic live-helper options. See live-helper(7) for a complete list of all generic live-helper options.

--all
    removes chroot, binary, stage, and source, cache is kept. This is the default operation and will be processed if no argument is given.

--cache
    removes all cache directories.

--chroot
    unmounts and removes the chroot directory.

--binary
    removes all binary related caches, directories, and stages files.

--purge
    removes everything (including cache). The config directory is kept.

--remove
    removes everything (including package cache, but not stage cache). The config directory is kept.

--stage
    removes all stage files.

--source
    removes all source related caches, directories, and stage files.

SEE ALSO
live-helper(7)

This program is a part of live-helper.

HOMEPAGE
More information about live-helper and the Debian Live project can be found in the homepage at <http://debian-live.alioth.debian.org/> and in the manual at <http://live.debian.net/manual/>.

BUGS
Report bugs by submitting a bugreport for the live-helper package in the Debian Bug Tracking System at <http://bugs.debian.org/> or write a mail to the mailinglist at <debian-live@lists.debian.org>.

AUTHOR
live-helper was written by Daniel Baumann <daniel@debian.org> for the Debian project.